Skip to main content

POST /change-of-supplier/v1/{mpid}

Creates a Change of Supplier process for one MPAN.

Request

Method and path:

  • POST /change-of-supplier/v1/{mpid}

Headers:

  • X-API-KEY (required): string (UUID format).
  • X-IDEMPOTENCY-KEY (required): string.
  • X-TEST-MODE (optional): string ("true" to disable production communications).

Path parameters:

  • mpid (required): string supplier MPID.

Body schema:

  • CoSRequestSchema
{
"mpan_core": 1234567890123,
"supply_start_date": "2026-03-20T00:00:00+00:00",
"ofaf_ref": "OFAF-1234",
"domestic_indicator": true,
"is_initial_registration": false,
"change_of_occupancy_indicator": false,
"erroneous_switch_resolution_indicator": false,
"supplier_reference": "SUP-REF-001"
}

Response

Success:

  • 202 Accepted
  • Body type: CoSProcessResponseSchema
{
"request_id": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"request_type": "change-of-supplier",
"request_status": "Pending",
"description": "Request a Change of Supplier Process for 1 MPAN.",
"created_at": "2026-03-11T14:04:22+00:00",
"last_updated_at": "2026-03-11T14:04:22+00:00",
"mpan_core": 1234567890123,
"css_reg_id": "6b6de81a-2fda-4ef8-baf5-6a83df40fce0",
"css_reg_status": "Pending"
}

Other documented responses:

  • 401 Unauthorized
  • 409 Conflict
  • 422 Validation error
  • 428 Missing X-IDEMPOTENCY-KEY

Field-level constraints: